Bug 201834 - assembly/source mode is not consistent for multiple debug sessions
assembly/source mode is not consistent for multiple debug sessions
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0.1
All All
: P2 (vote)
: 7.1
Assigned To: Egor Ushakov
issues@cnd
CR_7048025, 701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 15:22 UTC by Egor Ushakov
Modified: 2017-04-08 03:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-09-08 15:22:53 UTC
steps to reproduce:
- start 2 different debug sessions
- go to disassembly in one of them
- switch to another session
it will stay in the disassembly mode
Comment 1 Egor Ushakov 2011-09-20 14:06:58 UTC
fixed in:
http://hg.netbeans.org/cnd-main/rev/7ee74ea8207c
Comment 2 Vladimir Voskresensky 2011-09-20 14:21:31 UTC
I have reviewed the fix. Looks correct and solves the problem.
Comment 3 Egor Ushakov 2011-09-20 14:24:16 UTC
integrated into releases_elif:
releases_elif/rev/a08f155ebd55
Comment 4 Quality Engineering 2011-09-21 08:05:37 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/7ee74ea8207c
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201834 (assembly/source mode is not consistent for multiple debug sessions)
Comment 5 dnikitin 2011-09-21 15:57:10 UTC
Verified in Build oss-platform-build-66-on-20110921
Comment 6 Quality Engineering 2011-09-26 13:33:24 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/a08f155ebd55
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201834 (assembly/source mode is not consistent for multiple debug sessions)
(transplanted from 7ee74ea8207cd84b4bc071c5c3c9c2007e5ea51f)
Comment 7 dnikitin 2011-09-27 10:47:35 UTC
verified in patch2 — NetBeans IDE 7.0.1 (Build 201109261118)
Comment 8 Quality Engineering 2017-04-08 03:08:10 UTC
Integrated into 'main-silver', will be available in build *201704080002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ce744135a9d0
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201834 (assembly/source mode is not consistent for multiple debug sessions)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo